Page MenuHomePhabricator

Long unicode queries cause hhvm warning: "determinizing automaton would result in more than 10000 states"
Closed, ResolvedPublic

Description

Couple of examples:

iiiiiilöiööíöööiiööiööiiöiiiiiöiiiiiiiiiiöiöiiöiiiiiiiöiiiiiöiiiöiiiööiööööiiöööiiiöiiöiöööiöiöiiiiööööööiöiiiiiiiöiiöiiiiööiiiiiiiiiööiiöiiiöiiil

dftgggfdcgggvffvfgfcdfhdftfgiikkjkikikjihhbfvcvcserfyyhgvvdcfggdcdgdxcdxcxzzζχψωψφψφφφφφφφφφφφφφδψωφωφψχφψχωψωγβγηηηηγτηυηγηβωψωψωψωψωψωψωψωψψψψψψω ωη

กะักเ่้ีัำำััีะเดัะีพถึนัสสสสสสสสสสนสาสถีาะีัีสกีัีเักพักเีีะไ/พ/ภำไพกผดเกผเพพฆหพะเฎพััพฏเ้กีเกพีาพะาุ่ัทีีีรรีรีรีีีีีีนรีรรีีีรีรีรรีรีรีรราีรรีรรรีรีรึรรีรึรียรึรึรรึรึึรรึึรึรึรึรรถถนถรุีุีรุีุระีุวีงี

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masteruse monolog for CirrusSearch logging

Event Timeline

demon created this task.Jul 20 2015, 4:43 PM
demon assigned this task to Manybubbles.
demon raised the priority of this task from to High.
demon updated the task description. (Show Details)
Restricted Application added a project: Discovery. · View Herald TranscriptJul 20 2015, 4:43 PM
demon added a comment.Jul 20 2015, 4:45 PM

I'm pretty sure this is a "working as designed" but they should probably go in a different/specific log and not hhvm.log as a general warning.

Manybubbles renamed this task from Determinizing automaton would result in more than 10000 states -- long unicode queries to Long unicode queries cause hhvm warning: "determinizing automaton would result in more than 10000 states".Jul 20 2015, 6:22 PM
Manybubbles set Security to None.

As Chad said this is working as designed. We should throw these errors into the cirrus log rather than the general hhvm warning log though.

Manybubbles removed Manybubbles as the assignee of this task.Jul 21 2015, 1:59 PM
Ironholds moved this task from Needs triage to Search on the Discovery board.Aug 4 2015, 8:18 AM

Change 230655 had a related patch set uploaded (by EBernhardson):
use monolog for CirrusSearch logging

https://gerrit.wikimedia.org/r/230655

Change 230655 merged by jenkins-bot:
use monolog for CirrusSearch logging

https://gerrit.wikimedia.org/r/230655

ksmith moved this task from Search to On Sprint Board on the Discovery board.Aug 27 2015, 8:32 PM

Change 230655 merged by jenkins-bot:
use monolog for CirrusSearch logging
https://gerrit.wikimedia.org/r/230655

Is this fixed now?

@bd808: It got moved to the sprint "done" column by @EBernhardson so it should be done. Just waiting for @Deskana to do the final resolve step, I think.

Deskana closed this task as Resolved.Sep 11 2015, 10:29 PM

Is this fixed now?

Should be.